package com.bernard.greposimu.engine.game;

import com.bernard.greposimu.Utils;
import com.bernard.greposimu.model.FightStats;

public class Buildings {
	
	Game g;

	public Buildings(Game g) {
		this.g = g;
	}

	public static FightStats cityBaseStats(int wallLevel) {
		double value = 10.0+10.0*wallLevel;
		return new FightStats(value, value, value, 0.0);
	}
	
	public static FightStats wallBonus(int wallLevel) {
		double value = (Math.pow(1.035, wallLevel)-1);
		//TODO find exact value
		value = Utils.poly5(0.0, 0.036679, 0.000528, 0.000011, 0.0, 0.0, wallLevel);
		return new FightStats(value, value, value, 0.0);
	}
	
}
